wxWidgets: wxFileStream Class Reference

| Version: 3.1.5

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxFileStream Class Reference
Class List by Category » Streams

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.5-3.x86_64/src/wxWidgets-3.1.5/interface/wx/wfstream.h>`

Inheritance diagram for wxFileStream:
[legend]

## Detailed Description

This class represents data that can be both read from and written to a file.

There are actually two such groups of classes: this one is based on wxFile whereas wxFFileStream is based in the wxFFile class.

##

Library: wxBase

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxFileInputStream, wxFileOutputStream, wxFFileStream

## Public Member Functions
| wxFileStream (const wxString &iofileName)
| Initializes a new file stream in read-write mode using the specified iofileName name.
bool | IsOk () const
| Returns true if the stream is initialized and ready.
Public Member Functions inherited from wxFileOutputStream
| wxFileOutputStream (const wxString &ofileName)
| Creates a new file with ofileName name and initializes the stream in write-only mode.
| wxFileOutputStream (wxFile &file)
| Initializes a file stream in write-only mode using the file I/O object file.
| wxFileOutputStream (int fd)
| Initializes a file stream in write-only mode using the file descriptor fd.
virtual | ~wxFileOutputStream ()
| Destructor.
wxFile * | GetFile () const
| Returns the underlying file object.
Public Member Functions inherited from wxOutputStream
| wxOutputStream ()
| Creates a dummy wxOutputStream object.
virtual | ~wxOutputStream ()
| Destructor.
virtual bool | Close ()
| Closes the stream, returning false if an error occurs.
virtual size_t | LastWrite () const
| Returns the number of bytes written during the last Write().
void | PutC (char c)
| Puts the specified character in the output queue and increments the stream position.
virtual wxFileOffset | SeekO (wxFileOffset pos, wxSeekMode mode=wxFromStart)
| Changes the stream current position.
virtual wxFileOffset | TellO () const
| Returns the current stream position.
virtual wxOutputStream & | Write (const void *buffer, size_t size)
| Writes up to the specified amount of bytes using the data of buffer.
wxOutputStream & | Write (wxInputStream &stream_in)
| Reads data from the specified input stream and stores them in the current stream.
bool | WriteAll (const void *buffer, size_t size)
| Writes exactly the specified number of bytes from the buffer.
Public Member Functions inherited from wxStreamBase
| wxStreamBase ()
| Creates a dummy stream object.
virtual | ~wxStreamBase ()
| Destructor.
wxStreamError | GetLastError () const
| This function returns the last error.
virtual wxFileOffset | GetLength () const
| Returns the length of the stream in bytes.
virtual size_t | GetSize () const
| This function returns the size of the stream.
virtual bool | IsSeekable () const
| Returns true if the stream supports seeking to arbitrary offsets.
void | Reset (wxStreamError error=wxSTREAM_NO_ERROR)
| Resets the stream state.
bool | operator! () const
| Returns the opposite of IsOk().
Public Member Functions inherited from wxFileInputStream
| wxFileInputStream (const wxString &ifileName)
| Opens the specified file using its ifileName name in read-only mode.
| wxFileInputStream (wxFile &file)
| Initializes a file stream in read-only mode using the file I/O object file.
| wxFileInputStream (int fd)
| Initializes a file stream in read-only mode using the specified file descriptor.
virtual | ~wxFileInputStream ()
| Destructor.
wxFile * | GetFile () const
| Returns the underlying file object.
Public Member Functions inherited from wxInputStream
| wxInputStream ()
| Creates a dummy input stream.
virtual | ~wxInputStream ()
| Destructor.
virtual bool | CanRead () const
| Returns true if some data is available in the stream right now, so that calling Read() wouldn't block.
virtual bool | Eof () const
| Returns true after an attempt has been made to read past the end of the stream.
int | GetC ()
| Returns the first character in the input queue and removes it, blocking until it appears if necessary.
virtual size_t | LastRead () const
| Returns the last number of bytes read.
virtual char | Peek ()
| Returns the first character in the input queue without removing it.
virtual wxInputStream & | Read (void *buffer, size_t size)
| Reads the specified amount of bytes and stores the data in buffer.
wxInputStream & | Read (wxOutputStream &stream_out)
| Reads data from the input queue and stores it in the specified output stream.
bool | ReadAll (void *buffer, size_t size)
| Reads exactly the specified number of bytes into the buffer.
virtual wxFileOffset | SeekI (wxFileOffset pos, wxSeekMode mode=wxFromStart)
| Changes the stream current position.
virtual wxFileOffset | TellI () const
| Returns the current stream position or wxInvalidOffset if it's not available (e.g.
size_t | Ungetch (const void *buffer, size_t size)
| This function is only useful in read mode.
bool | Ungetch (char c)
| This function acts like the previous one except that it takes only one character: it is sometimes shorter to use than the generic function.

## Additional Inherited Members
Protected Member Functions inherited from wxOutputStream
size_t | OnSysWrite (const void *buffer, size_t bufsize)
| Internal function.
Protected Member Functions inherited from wxStreamBase
virtual wxFileOffset | OnSysSeek (wxFileOffset pos, wxSeekMode mode)
| Internal function.
virtual wxFileOffset | OnSysTell () const
| Internal function.
Protected Member Functions inherited from wxInputStream
size_t | OnSysRead (void *buffer, size_t bufsize)=0
| Internal function.

## Constructor & Destructor Documentation

## ◆ wxFileStream()

wxFileStream::wxFileStream | ( | const wxString & | iofileName | ) |

Initializes a new file stream in read-write mode using the specified iofileName name.

Warning
  You should use IsOk() to verify if the constructor succeeded.

## Member Function Documentation

## ◆ IsOk()

bool wxFileStream::IsOk | ( |  | ) | const
| virtual

Returns true if the stream is initialized and ready.

This method returns true if the stream can be both read from and written to.

Reimplemented from wxFileOutputStream.